/*
** Generation of file preview images/information
** Licence: GNU LGPL
** Author: Biswapesh Chattopadhyay
*/

#ifndef EGG_FILE_PREVIEW_H
#define EGG_FILE_PREVIEW_H

/*! \file
** A file preview can consist of an image, some informative text or both. A file preview
** function should be capable of taking a file name and creating a file preview widget
** from it. Preview functions can call other preview functions. Some default preview
** functions are provided.
*/

#define EGG_TYPE_FILEPREVIEW            (egg_filepreview_get_type ())
#define EGG_FILEPREVIEW(obj)            (GTK_CHECK_CAST ((obj), EGG_TYPE_FILEPREVIEW, EggFilePreview))
#define EGG_FILEPREVIEW_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), EGG_TYPE_FILEPREVIEW, EggFilePreviewClass))
#define EGG_IS_FILEPREVIEW(obj)         (GTK_CHECK_TYPE ((obj), EGG_TYPE_FILEPREVIEW))
#define EGG_IS_FILEPREVIEW_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), EGG_TYPE_FILEPREVIEW)
#define EGG_FILEPREVIEW_GET_CLASS(obj)  (GTK_CHECK_GET_CLASS ((obj), EGG_TYPE_FILEPREVIEW, EggFilePreviewClass))

#ifdef __cplusplus
extern "C"
{
#endif

#ifdef __cplusplus
}
#endif

#endif /* EGG_FILE_PREVIEW_H */
